Skip to main content
POST
/
api
/
withdraw
Withdraw USDC from treasury to wallet
curl --request POST \
  --url https://mag3nt.com/api/withdraw \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "network": "eip155:8453",
  "asset": "USDC"
}
'
{
  "withdrawal_id": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mag3nt.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Session token from POST /api/auth/verify

Body

application/json
amount
number
required
network
string
default:eip155:8453
asset
string
default:USDC

Response

200 - application/json

Withdrawal initiated

withdrawal_id
string
status
string